## Analizo-1.23.0.tar.gz

=== t/samples/printer/cpp/Makefile ===
printer: printer.cc
clean:
	rm -f printer

=== t/samples/sample_basic/c/Makefile ===
CFLAGS = -dr
OBJECTS = module1.o module2.o module3.o

all: program

program: $(OBJECTS)
	gcc -o $@ $(OBJECTS)

clean:
	rm -f *.o *.expand program tags

=== debian/changelog ===
analizo (1.22.0) unstable; urgency=medium

  * Removed global metric `total_eloc`
  * Removed dependency for `sloccount` external tool
  * Development setup installs Doxyarse from latest source master branch
  * Improved the performance for ACC metric calculation
  * Update to the newer Doxyparse 1.8.14-7 (fix invalid YAML with "\" char)
  * Invalid references to function
  * Limit Doxyparse YAML output identifiers to 1024 chars

 -- Joenio Costa <joenio@joenio.me>  Tue, 25 Sep 2018 14:27:17 -0300

analizo (1.21.0) unstable; urgency=medium

  * Added documentation about the meaning of 0 (zero) value for metrics
  * Added documentation for C# language support
  * Added tests for Java Enumerations and Java Generics with Wildcards<?>
  * Added tests for Doxyparse bug parsing mlpack source-code
  * authors listed on 'Signed-off-by' added to AUTHORS file
  * Improving performance by using module `YAML::XS` instead of `YAML`
  * Improving performance avoid calculating `Graph` every time
  * Global metric `total_eloc` (Total Effective Lines of Code) is going to be removed next release
  * Removed dependency for module `Moo`
  * Removed dependency for pragma `base`
  * Fix documentation for LCOM4 metric
  * Fix missing dependency for `Class::Inspector`
  * Removing cache after every test execution

 -- Joenio Costa <joenio@joenio.me>  Mon, 30 Apr 2018 19:42:08 -0300

analizo (1.20.8) unstable; urgency=medium

  * removing dependency for Method::Signatures
  * Env::Path is required at runtime #115 (thanks @rafamanzo @eserte)
  * auto generate META.json using dzil plugin [MetaJSON]  (thanks @manwar)
  * tests depends on File::Slurp #114
  * change markdown syntax to avoid error transforming doc in html

 -- Joenio Costa <joenio@joenio.me>  Fri, 23 Mar 2018 15:49:45 -0300

analizo (1.20.7) unstable; urgency=medium

  * Change development script to install CPAN modules without sudo
  * Fix tests to run under Perl located in different paths
  * Removed external dependency for `man`

 -- Joenio Costa <joenio@joenio.me>  Wed, 07 Feb 2018 23:19:16 -0200

analizo (1.20.6) unstable; urgency=medium

  * Added doxyparse as Debian dependency (hardcoded)
  * Added sloccount as Debian dependency (hardcoded)
  * Analizo visualization tools `dsm` and `evolution-matrix` are going to be
    removed from Analizo, the tools will be refactored or just removed
  * Removed external dependency for sqlite3
  * Removed external dependency for man

 -- Joenio Costa <joenio@joenio.me>  Tue, 06 Feb 2018 01:34:24 -0200

analizo (1.20.5) unstable; urgency=medium

  * Depends on doxyparse 1.8.14-4 provided by Alien::Doxyparse 0.06
  * Fix dependencies to run test suite on cpantesters
  * Fix travis-ci build

 -- Joenio Costa <joenio@joenio.me>  Sat, 03 Feb 2018 01:16:06 -0200

analizo (1.20.4) unstable; urgency=medium

  * Fix YAML duplicate key
  * Fix bin PATH for doxyparse and sloccount external tools
  * Fix missing dependencie for App::Cmd

 -- Joenio Costa <joenio@joenio.me>  Fri, 02 Feb 2018 12:36:58 -0200

analizo (1.20.3) unstable; urgency=medium

  * Test suite refactored (package namespace t::Analizo renamed to Test::Analizo)

 -- Joenio Costa <joenio@joenio.me>  Fri, 26 Jan 2018 01:21:26 -0200

analizo (1.20.2) unstable; urgency=medium

  * New dependencies: Alien::Doxyparse Alien::SLOCCount
  * Avoid warnings about YAML duplicate map key "inherits"

 -- Joenio Costa <joenio@joenio.me>  Sat, 06 Jan 2018 20:18:11 -0200

analizo (1.20.1) unstable; urgency=medium

  * Changelog based on "Keep a Changelog" project
  * Copyright holder name and email
  * Development documentation updated
  * Dist::Zilla::Deb `debuild` task to build Debian package
  * Declaring missing Debian dependencies

 -- Joenio Costa <joenio@joenio.me>  Tue, 02 Jan 2018 02:04:12 -0200

analizo (1.20.0) unstable; urgency=medium

  [ Igor Ribeiro Barbosa Duarte ] [ Izabela Cardoso ]
  * Added metrics documentation
  * Fixed docker setup to run tests on travis

  [ Joao Paulo Busche ]
  * Added support for C# (CSharp)

  [ Joao Paulo Ferreira ]
  * Removing metrics only used by CLANG

  [ Joenio Costa ]
  * Doxyparse YAML output
  * Migrate from ZeroMQ to ZMQ::FFI
  * Removed Rakefile
  * Depends on libzmq-ffi-perl
  * Analizo site moved to new repository

  [ Luan Guimarães ]
  * Removed CLANG Extractor
  * Fixed running of a single acceptance test
  * Added Dockerfile

  [ Matheus Miranda ]
  * Finished migration from Rake to Dist::Zilla

 -- Joenio Costa <joenio@joenio.me>  Thu, 28 Dec 2017 17:47:22 -0200

analizo (1.20.0~rc1) unstable; urgency=medium

  * Release Candidate RC1
  * Documenting source code metrics
  * More automated tests
  * Dockerfile
  * Travis continuous testing
  * Removing CLANG
  * Doxyparse extractor uses YAML
  * Migrate from ZeroMQ to ZMQ::FFI
  * Using YAML instead of YAML::Tiny
  * Depends on doxyparse 1.8.14
  * Fixing running of a single acceptance test
  * Fixing development-setup.sh
  * Standardizing the name of test files

 -- Joenio Costa <joenio@joenio.me>  Fri, 07 Jul 2017 04:31:07 -0300

analizo (1.19.1) unstable; urgency=medium

  * fix bug on CBO metric

 -- Joenio Costa <joenio@joenio.me>  Thu, 01 Sep 2016 14:44:16 -0300

analizo (1.19.0) unstable; urgency=low

  * Depend on doxyparse >= 1.8.11 to compute Abstract Class (issue #6)

 -- Joenio Costa <joenio@colivre.coop.br>  Thu, 18 Feb 2016 11:25:21 -0200

analizo (1.18.1) unstable; urgency=medium

  * Removing ClangStaticAnalyzer extractor as default

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Tue, 10 Mar 2015 15:43:39 -0300

analizo (1.18.0) unstable; urgency=low

  [ Alexandre Barbosa ] [ Lucas Kanashiro ]

  * New release
  * Removing dependency cucumber in faver of Test::BDD:Cucumber
  * Adding new extractor for security metrics:
    + 21 new security metrics
  * Adding new dependencies:
    + gcc
    + clang

 -- Alexandre <alexandreab@live.com>  Fri, 25 Apr 2014 20:12:31 +0000

analizo (1.17.0) unstable; urgency=low

  [ Antonio Terceiro ]


=== debian/control ===
Source: analizo
Section: devel
Priority: optional
Maintainer: Joenio Costa <joenio@joenio.me>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: libgit-wrapper-perl,
 libfile-sharedir-perl,
 liblist-moreutils-perl,
 libterm-ui-perl,
 libfile-share-perl,
 libtest-mockobject-perl,
 libtest-bdd-cucumber-perl,
 libfile-slurp-perl,
 libtest-mockmodule-perl,
 libfile-libmagic-perl,
 libtest-class-perl,
 libtest-exception-perl,
 libarchive-extract-perl
Standards-Version: 4.1.2
Homepage: http://analizo.org

Package: analizo
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libapp-cmd-perl,
 libstatistics-descriptive-perl,
 libenv-path-perl,
 libjson-perl,
 libgraph-readwrite-perl,
 libfindbin-libs-perl,
 libclass-inspector-perl,
 libyaml-libyaml-perl,
 liblist-compare-perl,
 libfile-homedir-perl,
 libapp-cmd-perl,
 libfile-copy-recursive-perl,
 libzmq-ffi-perl,
 libclass-accessor-perl,
 libchi-perl,
 libyaml-perl,
 libgraph-perl,
 libterm-progressbar-perl,
 libdbd-sqlite3-perl,
 liblocal-lib-perl,
 libdbi-perl,
 doxyparse
Recommends: graphviz, man
Description: multi-language source code analysis toolkit
 Analizo parses source code in multiple languages and report useful information
 about it, such as module dependency, source code metrics and more.
 .
 Analizo uses doxyparse to parse the source code, and is currently tested and
 expected to work well with C, C++, Java and C# source code.
